## variety 0.8.5

=== requirements.txt ===
beautifulsoup4
lxml
configobj
pycairo
requests
pygobject
pillow
httplib2

## variety 0.4.12-extras12.04.1

=== debian/changelog ===
variety (0.4.12-extras12.04.1) precise; urgency=low

  * Updated tips and changes txt
  * Bugfix: Save original wallpaper name when quotes are applied
  * Bugfix: a download was forcing the thumbs window to reshow when
    already hidden
  * Minor fix
  * Improvements related to image preparing; Minor bug-fixes
  * Trigger a download when too few images found; Livelier thumbs when
    showing folders, not only history and downloads (new downloads are
    auto-shown)
  * Merged in variety-instant-preferences
  * Fix: removed class Window was still referred at one place
  * Replaced some unnecessary timers with calls to GObject.timeout_add
  * Reordered prefs tabs. Command-line way to set options
  * Added UI preferences tab
  * Removed unneeded files
  * Stripping VarietyWindow from Quickly's boilerplate; Separate
    WelcomeDialog
  * Quotes: fix image scaling
  * Merged in lp:~peterlevi/variety/variety-quotes
  * Unity qucklist added, initial version; Show Preferences if run again
    with no parameters - better launcher button behaviour
  * Commandline options to hide/show/toggle visibility of indicator icon
    and to show preferences
  * Added Rating option to main menu - optional (off by default)
  * Added funtionality to set image ratings
  * Filtering by rating added; Preparations for adding simple
    functionality to rate images
  * Ensure wallpaper is changed even if the current background is a
    solid color in Gnome/Unity
  * Minor fixes
  * Commandline options for toggling History and Recent downloads
  * Updated icons 14x14 and 16x16
  * Thumbs: back to showing 200 instead of 100
  * When appindicator is not present fallback gracefully to a GTK
    StatusIcon
  * Minor fix
  * Made strings translatable
  * Updated chnages.txt; Fixed unnecessary heavy preparing of images
    during purge_download_folder
  * Better prioritizong of new downloads to give equal exposure to
    refreshers and normal downloading sources
  * Added a Donate page and link in preferences

 -- Peter Levi <peter@peterlevi.com>  Mon, 17 Dec 2012 14:21:16 +0200

=== debian/control ===
Source: variety
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), libglib2.0-bin, python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Peter Levi <peterlevi@peterlevi.com>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: variety
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-notify-0.7,
 python-configobj,
 python-pyexiv2,
 python-pycurl,
 gir1.2-gtk-3.0,
 python-dbus,
 gir1.2-pango-1.0,
 gir1.2-glib-2.0,
 python-imaging,
 python-cairo,
 gir1.2-gdkpixbuf-2.0,
 python-bs4,
 gir1.2-webkit-3.0,
 gir1.2-appindicator3-0.1,
 yelp,
 imagemagick,
 python-bs4,
 python-configobj,
 python-imaging,
 python-lxml
Description: automatic wallpaper changer, downloader and manager.
 Variety changes the desktop wallpaper on a regular basis, using user-
 specified or automatically downloaded images. Variety sits conveniently
 as an indicator in the panel and can be easily paused and resumed. The
 mouse wheel can be used to scroll wallpapers back and forth until you
 find the perfect one for your current mood. Apart from displaying images
 from local folders, several different online sources can be used to
 fetch wallpapers according to user-specified criteria - Flickr,
 Wallbase.cc, Wallpapers.net, NASA Astronomy Picture of the Day,
 Desktoppr.co. Media RSS feeds from Picasa, deviantART or any other place
 are also supported.Variety can also automatically apply various fancy
 filters to the displayed images - heavy blurring, oil painting, charcoal
 painting, etc. - so that your desktop is always fresh and unique. Heavy
 blurring for example is a great way to get abstract-looking and
 unobtrusive, yet colorful wallpapers, similar in spirit to the default
 one in Ubuntu.

## variety 0.4.13-0extras12.04.1

=== debian/changelog ===
variety (0.4.13-0extras12.04.1) precise; urgency=low

  * Try/finally around some remaining threads_enter/threads_leave calls
  * Changed server options URL; Use Cache-Control header to avoid stale
    data from server
  * Adding translations: es, ru, bg
  * Minimum download interval increased to 1 minute; Serverside options
    support for Wallpapers.net downloader as well
  * Bugfix: Also clear prepared_from_downloads when prepared queues need
    clearing
  * Use try/finally around all places using
    Gtk.threads_enter/threads_leave to prevent from freezes in case of
    error
  * FB image publishing might sometimes fails without a valid reason.
    Solved by retrying up to 3 times.
  * Updated variety.pot
  * Auto-update set_wallpaper script on upgrade when it has not been
    modified by the user
  * Fix freezing when exceptions happen in update_indicator
  * Translations: Fix to Light/Dark translation context
  * Updated pot file
  * Minor fix: delay fetching of server options at start
  * Quotes were giving an error on KDE, installing python-gi-cairo fixes
    it - adding it to deps
  * XFCE was not refreshing wallpaper when using quotes or clock
  * Bug #1096630: Fix exception on first run when there is no current
    wallpaper image
  * Log to a file (~/.config/variety/variety.log), not only to console
  * Prettier approach to fetching serverside options; Added supoprt for
    server-defined Wallbase min intervals
  * Minor fix to the Remove... menu labels
  * Pressing Enter now works in the Add dialogs (no need to click OK)
  * Removing sources and files: take actions to remove the files from
    various queues
  * Remove sources menu to delete or not the downloaded files; initial
    version
  * Changes to AUTHORS and copyright notice in FacebookHelper
  * Bugfix: Proper clearing of prepared buffer when settings change
  * Support for showing a serverside-obtained status message in
    Preferences
  * Dynamic restrictions on how often Flickr API calls are made
  * More minor localization-related fixes
  * Upgrade handling support. Handle download folder changes on upgrade
    to 0.4.13
  * More options for the download folder - allow it to be an empty
    folder, or one used before for downloading
  * Translating to Bulgarian and fixing various localization issues on
    the way
  * Protect user files when changing download folder: Use a subfolder
    when DL dir is outside Variety's config dir
  * Bug 1084961: modifying the thumbs bar prefs was only hiding it, not
    showing it again with the new settings
  * Fixes for SVG: Util.get_size was failing; Run no filtering if the
    filter is empty (e.g. Keep original)

 -- Peter Levi <peterlevi@peterlevi.com>  Thu, 14 Feb 2013 16:43:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 8), libglib2.0-bin, python (>= 2.6.6-3~),
  python-distutils-extra (>= 2.10)
 Maintainer: Peter Levi <peterlevi@peterlevi.com>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 XS-Python-Version: current
 
 Package: variety
@@ -31,8 +31,9 @@
  python-bs4,
  python-configobj,
  python-imaging,
- python-lxml
-Description: automatic wallpaper changer, downloader and manager.
+ python-lxml,
+ python-gi-cairo
+Description: automatic wallpaper changer, downloader and manager
  Variety changes the desktop wallpaper on a regular basis, using user-
  specified or automatically downloaded images. Variety sits conveniently
  as an indicator in the panel and can be easily paused and resumed. The

=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/variety/bin                 --install-data=/opt/extras.ubuntu.com/variety                 --install-lib=/opt/extras.ubuntu.com/variety

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/variety


override_dh_install:
	dh_install
	mkdir -p debian/variety/opt/extras.ubuntu.com/variety/bin
	if [ -x debian/variety/opt/extras.ubuntu.com/variety/variety/variety ]; then mv debian/variety/opt/extras.ubuntu.com/variety/variety/variety debian/variety/opt/extras.ubuntu.com/variety/bin; fi
	if [ -f debian/variety/opt/extras.ubuntu.com/variety/share/applications/variety.desktop ]; then \
		mkdir -p debian/variety/usr/share/applications; \
		mv debian/variety/opt/extras.ubuntu.com/variety/share/applications/variety.desktop debian/variety/usr/share/applications/extras-variety.desktop; \
		rmdir --ignore-fail-on-non-empty debian/variety/opt/extras.ubuntu.com/variety/share/applications; \
		sed -i 's|Exec=[^ ]*|Exec=/opt/extras.ubuntu.com/variety/bin/variety|' debian/variety/usr/share/applications/extras-variety.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/variety/|' debian/variety/usr/share/applications/extras-variety.desktop; \
	fi
	grep -RlZ 'import gettext' debian/variety/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/variety/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('variety')" debian/variety/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('variety')\)|locale\.bindtextdomain('variety', '/opt/extras.ubuntu.com/variety/share/locale')\nlocale\1|" 
	sed -i "s|__variety_data_directory__ =.*|__variety_data_directory__ = '/opt/extras.ubuntu.com/variety/share/variety/'|" debian/variety/opt/extras.ubuntu.com/variety/variety*/varietyconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/variety/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/variety/opt/extras.ubuntu.com/variety/bin/variety
	if [ -d debian/variety/opt/extras.ubuntu.com/variety/share/glib-2.0/schemas ]; then glib-compile-schemas debian/variety/opt/extras.ubuntu.com/variety/share/glib-2.0/schemas; fi

## variety 0.6.0

=== debian/changelog ===
variety (0.6.0-1) unstable; urgency=low

  * Set section to graphics instead of python. (Closes: #814705)
  * New upstream release.

 -- James Lu <bitflip3@gmail.com>  Sun, 21 Feb 2016 18:01:34 -0800

variety (0.5.5-1) unstable; urgency=medium

  * Initial Debian release. (Closes: #758223)

 -- James Lu <bitflip3@gmail.com>  Sun, 08 Nov 2015 10:08:48 -0800

=== debian/control ===
Source: variety
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 9),
 python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10),
 python-bs4,
 python-pyexiv2,
 python-pycurl,
 python-configobj,
 python-lxml,
 python-imaging,
 python-cairo,
 python-dbus
Maintainer: James Lu <bitflip3@gmail.com>
Standards-Version: 3.9.6
XS-Python-Version: 2.7
Homepage: http://peterlevi.com/variety/
Vcs-Git: git://anonscm.debian.org/collab-maint/variety.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/variety.git

Package: variety
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-notify-0.7,
 python-configobj,
 python-pyexiv2,
 python-pycurl,
 gir1.2-gtk-3.0,
 python-dbus,
 gir1.2-pango-1.0,
 gir1.2-glib-2.0,
 python-imaging,
 python-cairo,
 gir1.2-gdkpixbuf-2.0,
 python-lxml,
 python-bs4,
 gir1.2-webkit-3.0,
 gir1.2-appindicator3-0.1,
 imagemagick,
 python-gi-cairo,
 libjs-underscore (>= 1.6.0~)
Recommends: yelp
Description: Wallpaper changer, downloader and manager
 Variety is an open-source wallpaper changer, downloader, and manager for
 Linux. It supports a variety of sources for wallpapers, including local
 files, online services such as Flickr, Wallbase.cc, Wallpapers.net,
 NASA Astronomy Picture of the Day, Desktoppr.co, and media RSS feeds
 (Picasa, deviantART, etc.).

=== debian/watch ===
version=3
https://launchpad.net/variety/+download .*/variety[-_]([0-9.]+)\.tar\.gz

## variety 0.6.2

=== debian/changelog ===
variety (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Merge upstream packaging changes:
    - Add depends on python-requests and python-imaging, removing python-pil.
    - Suggest feh for i3-wm support (LP: #1584748)
  * debian/ changes:
    - Bump Standards Version to 3.9.8 - no changes needed.
    - Fix python-distutils-extra build-dep version (should be >= 2.18, not >=
      2.10) (LP: #1368424)
    - Update watch file for new tarball version format used by upstream.
    - Override script-not-executable Lintian warning for install_ssl_deps.sh
      (not directly executed by the user).
    - Use https:// links in Vcs-* fields.

 -- James Lu <bitflip3@gmail.com>  Mon, 29 Aug 2016 17:07:51 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
  python (>= 2.6.6-3~),
- python-distutils-extra (>= 2.10),
+ python-distutils-extra (>= 2.18),
  python-bs4,
  python-pyexiv2,
  python-pycurl,
@@ -13,11 +13,11 @@
  python-cairo,
  python-dbus
 Maintainer: James Lu <bitflip3@gmail.com>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 XS-Python-Version: 2.7
 Homepage: http://peterlevi.com/variety/
-Vcs-Git: git://anonscm.debian.org/collab-maint/variety.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/variety.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/variety.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/variety.git
 
 Package: variety
 Architecture: all
@@ -30,19 +30,21 @@
  python-pycurl,
  gir1.2-gtk-3.0,
  python-dbus,
+ python-requests,
  gir1.2-pango-1.0,
  gir1.2-glib-2.0,
  python-imaging,
  python-cairo,
  gir1.2-gdkpixbuf-2.0,
- python-lxml,
  python-bs4,
  gir1.2-webkit-3.0,
  gir1.2-appindicator3-0.1,
  imagemagick,
  python-gi-cairo,
+ python-lxml,
  libjs-underscore (>= 1.6.0~)
 Recommends: yelp
+Suggests: feh
 Description: Wallpaper changer, downloader and manager
  Variety is an open-source wallpaper changer, downloader, and manager for
  Linux. It supports a variety of sources for wallpapers, including local

## variety 0.6.3

=== debian/changelog ===
variety (0.6.3-5+deb9u1) stretch; urgency=medium

  * Backport various security fixes from Variety 0.6.6:
    - Fix shell injection on deleting files to trash, from upstream commit
      https://github.com/varietywalls/variety/commit/475a5e076b9c8c7c83176214f84455dc78834723
    - Fix shell injection in filter and clock with specially crafted
      filenames; upstream commit
      https://github.com/varietywalls/variety/commit/65722237baa996b0ef2389cea693bfeeba62b224
    - Harden ImageMagick calls against potential shell injection:
      https://github.com/varietywalls/variety/commit/a7c134ecd494bb878c73df9f65cb838dbb57413a

 -- James Lu <bitflip3@gmail.com>  Tue, 14 Nov 2017 12:42:11 -0800

variety (0.6.3-5) unstable; urgency=medium

  * Add fix-autoscroll-high-cpu.patch backported from upstream Bzr revision
    592 (https://bazaar.launchpad.net/~variety/variety/trunk/revision/592)
    This fixes an issue where the Wallpaper Selector and History panels
    drain entire CPU cores when open. (LP: #1494992)
  * Fix list of supported sites in package extended description: Wallbase.cc
    support was removed in 0.6.3, while Wallhaven.cc was never mentioned even
    though it is supported.

 -- James Lu <bitflip3@gmail.com>  Sat, 06 May 2017 16:43:32 -0700

variety (0.6.3-4) unstable; urgency=medium

  * Upload to unstable.
  * Remove python-lxml from build dependencies as well.

 -- James Lu <bitflip3@gmail.com>  Thu, 27 Apr 2017 22:49:27 -0700

variety (0.6.3-3) experimental; urgency=medium

  * d/control: Remove Wallpapers.net from the extended description; it was
    removed upstream in Variety 0.6.1.
  * Remove lxml dependency, it is unused since the Wallpapers.net removal in
    Variety 0.6.1.
  * Drop unused patch setup.py-install-requires.diff
  * Add disable-panoramio.patch from Arch Linux version 0.6.3-3, modifying
    it to also migrate away from Panoramio sources (LP: #1636389)
    - Also remove libjs-underscore dependency, as Panoramio was the only
      source using it.
  * Refresh menu-position-varargs.patch.
  * Refresh forwarded state & dates of most patches.

 -- James Lu <bitflip3@gmail.com>  Mon, 17 Apr 2017 11:13:39 -0700

variety (0.6.3-2) experimental; urgency=medium

  * Add menu-position-varargs.patch from upstream Bzr revision 582
    (https://bazaar.launchpad.net/~peterlevi/variety/trunk/revision/582)
    to fix menus showing up at the top left of the screen on some systems.
    (LP: #1598298)

 -- James Lu <bitflip3@gmail.com>  Wed, 15 Mar 2017 12:12:09 -0700

variety (0.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Add patch d/patches/remove-timebombs.patch, to remove a fixed 180-day
    timebomb introduced upstream.
  * debian changes:
    - Switch Vcs-Browser field to cgit.
    - Fix Vcs-Git URL.

 -- James Lu <bitflip3@gmail.com>  Wed, 09 Nov 2016 20:55:55 -0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  python-pyexiv2,
  python-pycurl,
  python-configobj,
- python-lxml,
  python-imaging,
  python-cairo,
  python-dbus
@@ -16,8 +15,8 @@
 Standards-Version: 3.9.8
 XS-Python-Version: 2.7
 Homepage: http://peterlevi.com/variety/
-Vcs-Git: https://anonscm.debian.org/collab-maint/variety.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/variety.git
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/variety.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/variety.git
 
 Package: variety
 Architecture: all
@@ -41,13 +40,10 @@
  gir1.2-appindicator3-0.1,
  imagemagick,
  python-gi-cairo,
- python-lxml,
- libjs-underscore (>= 1.6.0~)
 Recommends: yelp
 Suggests: feh
 Description: Wallpaper changer, downloader and manager
  Variety is an open-source wallpaper changer, downloader, and manager for
  Linux. It supports a variety of sources for wallpapers, including local
- files, online services such as Flickr, Wallbase.cc, Wallpapers.net,
- NASA Astronomy Picture of the Day, Desktoppr.co, and media RSS feeds
- (Picasa, deviantART, etc.).
+ files, online services such as Flickr, Wallhaven.cc, NASA Astronomy Picture
+ of the Day, Desktoppr.co, and media RSS feeds (Picasa, deviantART, etc.).

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(-.*?)?$// \
 https://launchpad.net/variety/+download .*/variety[-_]([0-9.]+)(-.*?)?\.tar\.gz

## variety 0.6.4-0-589-201704290523

=== debian/changelog ===
variety (0.6.4-0~589~201704290523~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Peter Levi <peterlevi@peterlevi.com>  Sat, 29 Apr 2017 05:23:38 +0000

variety (0.6.4) trusty; urgency=low

  * Remove automatic killswitch for old versions

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 29 Apr 2017 00:20:03 +0200

variety (0.6.3) trusty; urgency=low

  * Add way to outdate old versions

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 22 Jul 2016 00:20:03 +0200

variety (0.6.2) trusty; urgency=low

  * Safe mode added for filtering out NSFW images
  * Initial version of anonymous stats reporting

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 22 Jul 2016 00:20:03 +0200

variety (0.6.1) trusty; urgency=low

  * Workaround for Wallhaven SSL issues
  * Removed code for no-longer supported Wallpapers.net source

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 22 Jul 2016 00:20:03 +0200

variety (0.6.0) trusty; urgency=low

  * Added Variety Slideshow
  * Using official Unsplash API now

 -- Peter Levi <peterlevi@peterlevi.com>  Wed, 30 Dec 2015 01:45:03 +0200

variety (0.5.5) precise; urgency=low

  * Bumped the version to 0.5.5
  * Updated translation files
  * Added some more default image sources
  * Disable Latest source by default, put NSFW warning in description
  * set_wallpaper: Fix support for KDE Plasma 5
  * Fixed minor typo in Add Reddit dialog

 -- Peter Levi <peterlevi@peterlevi.com>  Sun, 20 Sep 2015 00:33:42 +0300

variety (0.5.4ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peter@plpc>  Sun, 20 Sep 2015 00:27:37 +0300

variety (0.5.4) precise; urgency=low

  * Updated setup.py to not change icon paths in desktop file
  * Remove requests dependency for UnsplashDownloader
  * Remove requests dependency for UnsplashDownloader
  * More localization-related fixes
  * Fix UI of all dialogs to prevent labels from maximizing them
    horizontally
  * Localization-related fixes. Updated translations.
  * Minor update to changes and tips info
  * Smart: updated report_file to heed needs_reupload response
  * Bumping version number to 0.5.4
  * Updated dependencies in debian/control to include python-requests
  * Disable sorting of Images table by clicking in header
  * UI cosmetics on non-Unity: Add some spacing between buttons next to
    Images table
  * Fix UI of PreferencesVarietyDialog to prevent labels from maximizing
    it horizontally
  * Use explicit python2 hashbangs in all scripts, as Ubuntu will be
    moving to Python 3 as default
  * Removed some unnecessary junk files
  * Unsplash: sanitize filenames of downloaded images, just in case some
    unexpected char pops up there in the future
  * Added support for Unsplash.com
  * Added Bing Photo of the Day image source
  * Update tests to run on local modules, not global Variety modules
  * Simplify Donate tab in Preferences
  * Small change to bin/variety to facilitate local testing when Variety
    is installed in the classic Debian way
  * Preparing to move Variety to a classic Debian-style package: Icons
  * Fixed Facebook publishing: use publish_actions scope
  * Fixes to LXQt support (thanks to Erik Nelson)
  * Add out-of-the-box support for LXQt (Thanks to panfren)
  * Better detection of images coming from MediaRSS feeds when
    sourceType is missing
  * Out-of-the-box support for i3-wm

 -- Peter Levi <peterlevi@peterlevi.com>  Wed, 05 Aug 2015 23:01:43 +0300

variety (0.5.3ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peter@plpc>  Wed, 05 Aug 2015 21:14:58 +0300

variety (0.5.3) precise; urgency=low

  * Updated some translations, added Korean
  * Bumped version ot 0.5.3
  * Fix fetching of Wallhaven image SFW rating

 -- Peter Levi <peterlevi@peterlevi.com>  Sun, 08 Feb 2015 20:03:36 +0200

variety (0.5.2ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peter@plpc>  Sun, 08 Feb 2015 19:58:14 +0200

variety (0.5.2) precise; urgency=low

  * Bumping version to 0.5.2
  * More logging by default, no need for -v argument
  * Missing XDG directory definitions were causing Variety to fail.
    Fixed now.

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 20 Jan 2015 12:08:11 +0200

variety (0.5.1ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peter@plpc>  Tue, 20 Jan 2015 12:02:48 +0200

variety (0.5.1) precise; urgency=low

  * Bumping version to 0.5.1
  * SafeLogger wraps all logging in lambda calls to avoid
    UnicodeDecodeErrors in building log messages
  * Add a No, thanks button to the VRTY.ORG invitation screen
  * Minor fix to move_or_copy_file to handle outer metadata.json files
  * Use safe_print to avoid UnicodeEncodeError when printing messages on
    badly configured terminals
  * VRTY.ORG invitation screen: Closing with X button or Esc is
    interpreted as Don't participate
  * Do not fail to start when smart_user.json is broken

 -- Peter Levi <peterlevi@peterlevi.com>  Sun, 11 Jan 2015 22:17:01 +0200

variety (0.5.0ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peter@plpc>  Sun, 11 Jan 2015 14:03:59 +0200

variety (0.5.0) precise; urgency=low

  * Smart: updated again some texts
  * Removed some unnecessary delays in Timer calls
  * Trashing was slow due to smart-reporting: update queues and
    wallpaper first, report and delete in an outer thread afterwards
  * Added TestRedditDownloader
  * Initial registration screen: Register link instructs user to look
    for a new browser tab
  * Smart: updated some welcome screens texts
  * Smart: try to load user in init to avoid exception related to
    creating RecommendedDownloader
  * Updated variety.pot
  * Bumped version to 0.5.0
  * Merged variety-smart branch, preparing for 0.5.0 release
  * MediaRSS: use variety:author info when present
  * Merged in Simotek's Enlightenment related fix
  * Minor refactor: added VarietyWindow.register_downloaded_file
  * Show Next and Previous in main menu only in non-Unity DEs (Unity
    supports indicator scroll, no need for them there)


## variety 0.6.6

=== debian/changelog ===
variety (0.6.6-1) unstable; urgency=high

  * New upstream release.
    - Fix shell injection issues via specially crafted filenames in image
      filters, desktop clock, and the "Delete to Trash" option.
    - Fix wallpaper changing support for Plasma 5.
  * Bump Standards-Version to 4.1.0; no changes needed.
  * Drop patches fix-autoscroll-high-cpu.patch and remove-panoramio.patch,
    they were merged upstream.
  * d/copyright: update years, remove CC-BY-SA for the help/
    folder, which was only an unused template removed in 0.6.6.
  * Switch build-dependency from python-imaging to python-pil to match
    dependencies.
  * Recommend python-httplib2: this is used by the QuotesDaddy and
    QuotationPage quote plugins. (LP: #1713723)

 -- James Lu <bitflip3@gmail.com>  Wed, 20 Sep 2017 21:56:38 -0700

variety (0.6.4-3) unstable; urgency=medium

  * Add new patch remove-panoramio.patch to remove Panoramio support
    completely (including unused code and data/ bits). This patch supersedes
    disable-panoramio.patch and dont-embed-underscore.diff
  * Bump Standards-Version to 4.0.0; no changes needed.
  * Add patch remove-outdated-versions-quit.patch: Disable logic bomb based on
    configured "outdated versions" - if this is enabled upstream it will cause
    specific variety versions to fail to start, and this is probably not what
    we want to ship.
  * Remove dependency on deprecated gir1.2-webkit-3.0 - Panoramio was the last
    bit of code to actually use it. (Closes: #866655)

 -- James Lu <bitflip3@gmail.com>  Wed, 05 Jul 2017 12:39:38 -0700

variety (0.6.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Remove recommends on yelp; it doesn't seem to be used anywhere (there is
    no obvious "Help" button anywhere in the menu or the preferences dialog)
  * Add gnome-shell-extension-top-icons-plus & nitrogen to suggests, along
    with a blurb on when/how these are useful. These packages are only needed
    on certain desktops.
  * Demote gir1.2-appindicator3-0.1 to recommends, as it is optional per the
    upstream docs at http://peterlevi.com/variety/how-to-install/
    ("Other distributions/running from source" section)

 -- James Lu <bitflip3@gmail.com>  Mon, 19 Jun 2017 16:52:11 -0700

variety (0.6.4-1) experimental; urgency=low

  * New upstream release.
    - Port from pyexif2 to GExiv2 (LP: #1280349)
  * debian/ folder changes:
    - Refresh dependencies: add python-pil, gir1.2-gexiv2-0.10; remove
      python-imaging, python-pyexiv2
    - Drop desktop-file-keywords.diff, menu-position-varargs.patch, and
      remove-timebombs.patch: they were either merged upstream or superseded.
    - Add python-gi, python-requests, and dh-python to build dependencies to
      fix distutils and debhelper build warnings.
    - Wrap-and-sort dependencies.

 -- James Lu <bitflip3@gmail.com>  Thu, 18 May 2017 18:40:52 -0700

=== debian/control ===
Source: variety
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python (>= 2.6.6-3~),
               python-bs4,
               python-cairo,
               python-configobj,
               python-dbus,
               python-distutils-extra (>= 2.18),
               python-gi,
               python-pil,
               python-pycurl,
               python-requests
Maintainer: James Lu <bitflip3@gmail.com>
Standards-Version: 4.1.0
XS-Python-Version: 2.7
Homepage: http://peterlevi.com/variety/
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/variety.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/variety.git

Package: variety
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-gexiv2-0.10,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         gir1.2-pango-1.0,
         imagemagick,
         python-bs4,
         python-cairo,
         python-configobj,
         python-dbus,
         python-gi-cairo,
         python-pil,
         python-pycurl,
         python-requests,
         ${misc:Depends},
         ${python:Depends}
Recommends: gir1.2-appindicator3-0.1, python-httplib2
Suggests: feh, gnome-shell-extension-top-icons-plus, nitrogen
Description: Wallpaper changer, downloader and manager
 Variety is an open-source wallpaper changer, downloader, and manager for
 Linux. It supports a variety of sources for wallpapers, including local
 files, online services such as Flickr, Wallhaven.cc, NASA Astronomy Picture
 of the Day, Desktoppr.co, and media RSS feeds (Picasa, deviantART, etc.).
 .
 You can also install the following (suggested) packages to enhance Variety's
 functionality on certain desktop setups:
  * feh: required for wallpaper changing on i3-wm
  * gnome-shell-extension-top-icons-plus: adds indicators support to GNOME
    Shell, so that Variety's tray icon can be displayed
  * nitrogen: required for wallpaper changing on Openbox

## variety 0.6.7

=== debian/changelog ===
variety (0.6.7-1) unstable; urgency=medium

  * New upstream release.
  * Merge upstream packaging changes (which is now mostly synced with Debian):
    - i3 and openbox code now uses either feh or nitrogen interchangeably;
      replace S: feh, nitrogen with S: feh | nitrogen accordingly
    - Update manpage version and remove reference to non-existent Texinfo
      manual (Closes: #893725)
    - Switch to Ayatana indicators by default, patch by Unit 193
      Update indicator recommends to gir1.2-ayatanaappindicator3-0.1 |
      gir1.2-appindicator3-0.1 accordingly
    - Suggest gnome-shell-extension-appindicator over
      gnome-shell-extension-top-icons-plus
  * Update my email.
  * Bump to debhelper 11 and Standards-Version 4.1.3 (no changes needed)
  * Move Vcs-* fields from Alioth to salsa.debian.org
  * Update long description to match updated Suggests.
  * Move debian/watch to GitHub, where the upstream code is now hosted.

 -- James Lu <james@overdrivenetworks.com>  Sat, 31 Mar 2018 10:51:22 -0700

variety (0.6.6-2) unstable; urgency=medium

  * Disable the installation of extra "SSL dependencies" on Debian and Ubuntu.
    This process is fairly unreliable and has both caused false positives
    (LP: #1739944) as well as reports that nothing is solved by the workaround
    (LP: #1577327)

 -- James Lu <bitflip3@gmail.com>  Sat, 10 Mar 2018 11:18:57 -0800

=== debian/control ===
Source: variety
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python (>= 2.6.6-3~),
               python-bs4,
               python-cairo,
               python-configobj,
               python-dbus,
               python-distutils-extra (>= 2.18),
               python-gi,
               python-pil,
               python-pycurl,
               python-requests
Maintainer: James Lu <james@overdrivenetworks.com>
Standards-Version: 4.1.3
XS-Python-Version: 2.7
Homepage: http://peterlevi.com/variety/
Vcs-Git: https://salsa.debian.org/jlu-guest/variety
Vcs-Browser: https://salsa.debian.org/jlu-guest/variety

Package: variety
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-gexiv2-0.10,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         gir1.2-pango-1.0,
         imagemagick,
         python-bs4,
         python-cairo,
         python-configobj,
         python-dbus,
         python-gi-cairo,
         python-pil,
         python-pycurl,
         python-requests,
         ${misc:Depends},
         ${python:Depends}
Recommends: gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
            python-httplib2
Suggests: feh | nitrogen,
          gnome-shell-extension-appindicator | gnome-shell-extension-top-icons-plus
Description: Wallpaper changer, downloader and manager
 Variety is an open-source wallpaper changer, downloader, and manager for
 Linux. It supports a variety of sources for wallpapers, including local
 files, online services such as Flickr, Wallhaven.cc, NASA Astronomy Picture
 of the Day, Desktoppr.co, and media RSS feeds (Picasa, deviantART, etc.).
 .
 You can also install the following (suggested) packages to enhance Variety's
 functionality on certain desktop setups:
  * feh | nitrogen: required for wallpaper changing on i3, openbox, or dwm
  * gnome-shell-extension-appindicator | gnome-shell-extension-top-icons-plus:
    adds tray icon / indicator support to GNOME Shell, so that Variety's tray
    icon can be displayed

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/variety-$1\.tar\.gz/ \
  https://github.com/varietywalls/variety/tags .*/v?(\d\S+)\.tar\.gz

## variety 0.6.9

=== debian/changelog ===
variety (0.6.9-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 31 Jul 2018 18:48:00 -0700

variety (0.6.9-1) unstable; urgency=medium

  * New upstream release (Closes: #898641)
    - Skip metadata updates on non-images, suppressing
      "GExiv2: unsupported format" warnings (Closes: #893759)
  * Merge upstream packaging changes:
    - Recommend libglib2.0-bin | trash-cli | konqueror for Delete to Trash
      feature
    - Drop script-not-executable Lintian override as the relevant code
      was removed in 0.6.9.
  * debian/ folder changes:
    - Bump Standards-Version to 4.1.4, and remove get-orig-source from
      debian/rules accordingly
    - Drop disable-ssl-dep-installation.patch, superseded by upstream changes
    - d/control: remove redundant XS-Python-Version: 2.7 tag

 -- James Lu <james@overdrivenetworks.com>  Sun, 20 May 2018 11:39:04 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: variety
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python (>= 2.6.6-3~),
                python-bs4,
@@ -13,9 +13,9 @@
                python-pil,
                python-pycurl,
                python-requests
-Maintainer: James Lu <james@overdrivenetworks.com>
-Standards-Version: 4.1.3
-XS-Python-Version: 2.7
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: James Lu <james@overdrivenetworks.com>
+Standards-Version: 4.1.4
 Homepage: http://peterlevi.com/variety/
 Vcs-Git: https://salsa.debian.org/jlu-guest/variety
 Vcs-Browser: https://salsa.debian.org/jlu-guest/variety
@@ -41,6 +41,7 @@
          ${misc:Depends},
          ${python:Depends}
 Recommends: gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
+            libglib2.0-bin | trash-cli | konqueror,
             python-httplib2
 Suggests: feh | nitrogen,
           gnome-shell-extension-appindicator | gnome-shell-extension-top-icons-plus

=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

VER = $(shell dpkg-parsechangelog --show-field=Version | cut -d '-' -f 1)

override_dh_auto_clean:
	# Remove the auto-generated .pot file so successive builds work.
	rm -f po/variety.pot
	dh_auto_clean

## variety 0.7.0

=== debian/changelog ===
variety (0.7.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.

 -- James Lu <james@overdrivenetworks.com>  Sat, 15 Sep 2018 22:28:39 -0700

variety (0.7.0~beta1-1) experimental; urgency=medium

  * New upstream beta release.
    - Port to Python 3: switch to using pybuild and update dependencies to
      their Python 3 equivalents
    - Removed outdated Facebook publishing code
  * Merge upstream packaging changes:
    - Remove R: libglib2.0-bin | trash-cli | konqueror, no longer needed
    - Remove pycurl dependency as the last feature using it (Facebook
      publishing) was taken out
    - Remove runtime dependencies from build-deps since tests are not enabled
      yet (many of them require network access)
  * Update debian/watch to mangle pre-release versions
  * d/control:
    - Bump Standards-Version to 4.2.0, no changes needed
    - Remove S: gnome-shell-extension-top-icons-plus, dead upstream
    - Resync long description with upstream README

 -- James Lu <james@overdrivenetworks.com>  Fri, 17 Aug 2018 14:21:03 -0700

## variety 0.7.1

=== debian/changelog ===
variety (0.7.1-2) unstable; urgency=medium

  * Backport bugfixes from Variety 0.7.2:
    - fix-crash-on-help-version.patch: Don't forward --help or --version to
      running Variety instances, as this causes it to crash.
    - fix-spurious-error-when-analyzing-gifs.patch: Fix spurious
      FileNotFoundError when analyzing GIFs inside a wallpaper folder

 -- James Lu <james@overdrivenetworks.com>  Sun, 21 Apr 2019 19:10:58 -0700

variety (0.7.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ James Lu ]
  * New upstream release.

 -- James Lu <james@overdrivenetworks.com>  Sun, 28 Oct 2018 20:45:18 -0700

=== debian/control ===
Source: variety
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3,
               python3-distutils-extra (>= 2.18),
Maintainer: James Lu <james@overdrivenetworks.com>
Standards-Version: 4.2.0
Homepage: http://peterlevi.com/variety/
Vcs-Git: https://salsa.debian.org/jlu-guest/variety
Vcs-Browser: https://salsa.debian.org/jlu-guest/variety

Package: variety
Architecture: all
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-gexiv2-0.10,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         gir1.2-pango-1.0,
         imagemagick,
         python3-bs4,
         python3-lxml,
         python3-cairo,
         python3-configobj,
         python3-dbus,
         python3-gi,
         python3-gi-cairo,
         python3-pil,
         python3-pkg-resources,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Recommends: gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
            python3-httplib2
Suggests: feh | nitrogen,
          gnome-shell-extension-appindicator
Description: Wallpaper changer, downloader and manager
 Variety is a wallpaper manager for Linux systems. It supports numerous
 desktops and wallpaper sources, including local files and online
 services: Flickr, Wallhaven, Unsplash, and more.
 .
 Where supported, Variety sits as a tray icon to allow easy pausing and
 resuming. Otherwise, its desktop entry menu provides a similar set of
 options.
 .
 You can also install the following (suggested) packages to enhance Variety's
 functionality on certain desktop setups:
  * feh | nitrogen: used for wallpaper changing on i3, openbox, and dwm
  * gnome-shell-extension-appindicator | gnome-shell-extension-top-icons-plus:
    adds tray icon / indicator support to GNOME Shell, so that Variety's tray
    icon can be displayed

## variety 0.7.2

=== debian/changelog ===
variety (0.7.2-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
    - Add support for Sway, bspwm
    - Enable AwesomeWM support by default
    - Fix crash on --help or --version if a Variety instance is already
      running (GH-148)
    - Fix spurious "file not found" errors when checking for animated
      GIFs (GH-132)
    - New translations: Chinese, Japanese

  * Drop patches from 0.7.2.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 21 Jul 2019 10:25:19 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: variety
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                python3,
                python3-distutils-extra (>= 2.18),
@@ -31,9 +31,9 @@
          python3-pkg-resources,
          python3-requests,
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
-            python3-httplib2
+         ${python3:Depends},
+         gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
+         python3-httplib2
 Suggests: feh | nitrogen,
           gnome-shell-extension-appindicator
 Description: Wallpaper changer, downloader and manager

## variety 0.8.2

=== debian/changelog ===
variety (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove outdated patches applied upstream:
    - 0002-Update-Wallhaven-API-URL-180.patch
    - 0003-Add-a-Privacy-Notice-dialog-to-warn-about-data-colle.patch
    - 0004-set_wallpaper-always-exit-with-error-code-0.patch
  * Refresh patch remove-outdated-versions-quit.patch
  * d/copyright:
    - Remove unused BSD-3-Clause license text. The last code that used this
      was FacebookHelper, which was dropped in 0.7.0
    - Update copyright years & add copyright section for appdata.xml file
  * d/control:
    - Update to Standards-Version 4.4.1; add Rules-Requires-Root: no
    - Update to debhelper 12.

 -- James Lu <james@overdrivenetworks.com>  Sat, 11 Jan 2020 20:04:07 -0800

variety (0.7.2-2) unstable; urgency=high

  * Update 0003-Add-a-Privacy-Notice-dialog-to-warn-about-data-colle.patch:
    Fix a bug where the first run file is never written, causing the dialogs
    to show up with every run.
    This was reported upstream as
    https://github.com/varietywalls/variety/issues/227

 -- James Lu <james@overdrivenetworks.com>  Sun, 13 Oct 2019 09:48:18 -0700

variety (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * patches:
    - Drop fix-spurious-error-when-analyzing-gifs.patch,
           fix-crash-on-help-version.patch; applied upstream
    - Add 0002-Update-Wallhaven-API-URL-180.patch:
        Update Wallhaven API URL to fix downloads
    - Add 0003-Add-a-Privacy-Notice-dialog-to-warn-about-data-colle.patch:
        Backport patch adding a privacy policy dialog to Variety's first start.
        This is a stop-gap fix for bug #931728 in the absence of a proper
        offline mode in Variety.
        See https://github.com/varietywalls/variety/issues/198 for
        justification on why data is collected.
    - Add 0004-set_wallpaper-always-exit-with-error-code-0.patch:
        Suppress non-zero exit codes from set_wallpaper subprocesses, as these
        are non-fatal and otherwise fill up Variety's logs with tracebacks.

 -- James Lu <james@overdrivenetworks.com>  Fri, 23 Aug 2019 15:56:17 -0700

## variety 0.8.3

=== debian/changelog ===
variety (0.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- James Lu <james@overdrivenetworks.com>  Wed, 26 Feb 2020 22:10:23 -0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: variety
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
                python3-distutils-extra (>= 2.18),
 Maintainer: James Lu <james@overdrivenetworks.com>
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: http://peterlevi.com/variety/
-Vcs-Git: https://salsa.debian.org/jlu-guest/variety
+Vcs-Git: https://salsa.debian.org/jlu-guest/variety.git
 Vcs-Browser: https://salsa.debian.org/jlu-guest/variety
 
 Package: variety
@@ -31,9 +32,10 @@
          python3-pkg-resources,
          python3-requests,
          ${misc:Depends},
-         ${python3:Depends},
-         gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
-         python3-httplib2
+         ${python3:Depends}
+Recommends: gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
+            python3-httplib2,
+            fortune-mod
 Suggests: feh | nitrogen,
           gnome-shell-extension-appindicator
 Description: Wallpaper changer, downloader and manager

## variety 0.8.4

=== debian/changelog ===
variety (0.8.4-1) unstable; urgency=medium

  * New upstream release.
    - Fix deprecated "is" comparison with literal (Closes: #961260)
    - Remove broken Desktoppr, ChromeOS sources (LP: #1863615)
  * Update to Standards-Version 4.5.0, no changes needed

 -- James Lu <james@overdrivenetworks.com>  Sun, 19 Jul 2020 22:10:29 -0700

## variety 0.8.5

=== debian/changelog ===
variety (0.8.5-2) unstable; urgency=medium

  * Add patch 0002-Change-default-font-to-Sans-for-compatibility.patch:
      Use "Sans" as default font for Quotes and Clock, as Ubuntu and
      Bitstream fonts are not installed by default everywhere. (LP: #1879002)

 -- James Lu <james@overdrivenetworks.com>  Mon, 14 Feb 2022 21:52:11 -0800

variety (0.8.5-1) unstable; urgency=medium

  * New upstream release.
    - Fix preferences window and menus crashing on Python 3.9 due to
      ElementTree.getiterator() removal
  * Refresh the manual page for variety, via help2man

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- James Lu <james@overdrivenetworks.com>  Thu, 10 Dec 2020 00:22:27 -0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                python3,
                python3-distutils-extra (>= 2.18),
 Maintainer: James Lu <james@overdrivenetworks.com>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://peterlevi.com/variety/
 Vcs-Git: https://salsa.debian.org/jlu-guest/variety.git

## variety 0.8.7

=== debian/changelog ===
variety (0.8.7-1) unstable; urgency=medium

  * New upstream release:
    - Allow disabling online access in preferences (Closes: #931728)
  * Packaging changes:
    - Add gbp.conf configuration
    - Drop 0002-Change-default-font-to-Sans-for-compatibility.patch;
      applied upstream
    - Update to Standards-Version 4.6.0, no changes needed

 -- James Lu <james@overdrivenetworks.com>  Sun, 01 May 2022 17:34:12 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                python3,
                python3-distutils-extra (>= 2.18),
 Maintainer: James Lu <james@overdrivenetworks.com>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://peterlevi.com/variety/
 Vcs-Git: https://salsa.debian.org/jlu-guest/variety.git

## variety 0.8.9

=== debian/changelog ===
variety (0.8.9-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-distutils-extra.

  [ James Lu ]
  * New upstream release.
  * Bump to debhelper 13.

 -- James Lu <james@overdrivenetworks.com>  Tue, 28 Jun 2022 02:03:32 -0700

## variety 0.8.10

=== debian/changelog ===
variety (0.8.10-1) unstable; urgency=medium

  * New upstream release.

 -- James Lu <james@overdrivenetworks.com>  Sun, 29 Jan 2023 01:06:01 -0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: variety
 Section: graphics
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-distutils-extra (>= 2.18),
+               python3-distutils-extra,
 Maintainer: James Lu <james@overdrivenetworks.com>
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
